Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.puppycrawl.tools.checkstyle.checks.annotation
Enum AnnotationUseStyleCheck.ClosingParens

    java.lang.Object
      java.lang.Enum<AnnotationUseStyleCheck.ClosingParens>
          com.puppycrawl.tools.checkstyle.checks.annotation.AnnotationUseStyleCheck.ClosingParens

All Implemented Interfaces:
  Serializable, Comparable<AnnotationUseStyleCheck.ClosingParens>

Enclosing class:
  AnnotationUseStyleCheck

    public static enum AnnotationUseStyleCheck.ClosingParens

extends Enum<AnnotationUseStyleCheck.ClosingParens>

Defines the two styles for defining elements in an annotation.

Author:
  Travis Schneeberger

Enum Constant Summary
`ALWAYS` with parens example
`IGNORE` mixed styles.
`NEVER` without parens example

Method Summary
`static AnnotationUseStyleCheck.ClosingParens` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnnotationUseStyleCheck.ClosingParens[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALWAYS

    public static final AnnotationUseStyleCheck.ClosingParens ALWAYS

  with parens example

      @Deprecated()

  .

### NEVER

    public static final AnnotationUseStyleCheck.ClosingParens NEVER

  without parens example

      @Deprecated

  .

### IGNORE

    public static final AnnotationUseStyleCheck.ClosingParens IGNORE

  mixed styles.

Method Detail

### values

    public static AnnotationUseStyleCheck.ClosingParens[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AnnotationUseStyleCheck.ClosingParens c : AnnotationUseStyleCheck.ClosingParens.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AnnotationUseStyleCheck.ClosingParens valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011. All Rights Reserved.